org.jboss.shrinkwrap.descriptor.api.connector10

## Interface ConfigProperty<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ConfigProperty<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `config-property` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConfigProperty<T>` | `configPropertyName(java.lang.String configPropertyName)` Sets the `config-property-name` element
    `ConfigProperty<T>` | `configPropertyType(java.lang.String configPropertyType)` Sets the `config-property-type` element
    `ConfigProperty<T>` | `configPropertyValue(java.lang.String configPropertyValue)` Sets the `config-property-value` element
    `ConfigProperty<T>` | `description(java.lang.String description)` Sets the `description` element
    `java.lang.String` | `getConfigPropertyName()` Returns the `config-property-name` element
    `java.lang.String` | `getConfigPropertyType()` Returns the `config-property-type` element
    `java.lang.String` | `getConfigPropertyValue()` Returns the `config-property-value` element
    `java.lang.String` | `getDescription()` Returns the `description` element
    `ConfigProperty<T>` | `removeConfigPropertyName()` Removes the `config-property-name` element
    `ConfigProperty<T>` | `removeConfigPropertyType()` Removes the `config-property-type` element
    `ConfigProperty<T>` | `removeConfigPropertyValue()` Removes the `config-property-value` element
    `ConfigProperty<T>` | `removeDescription()` Removes the `description` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### configPropertyValue

          ConfigProperty<T> configPropertyValue(java.lang.String configPropertyValue)

      Sets the `config-property-value` element
      Parameters:
        `configPropertyValue` - the value for the element `config-property-value`
      Returns:
        the current instance of `ConfigProperty`

    - #### getConfigPropertyValue

          java.lang.String getConfigPropertyValue()

      Returns the `config-property-value` element
      Returns:
        the node defined for the element `config-property-value`

    - #### removeConfigPropertyValue

          ConfigProperty<T> removeConfigPropertyValue()

      Removes the `config-property-value` element
      Returns:
        the current instance of `ConfigProperty`

    - #### description

          ConfigProperty<T> description(java.lang.String description)

      Sets the `description` element
      Parameters:
        `description` - the value for the element `description`
      Returns:
        the current instance of `ConfigProperty`

    - #### getDescription

          java.lang.String getDescription()

      Returns the `description` element
      Returns:
        the node defined for the element `description`

    - #### removeDescription

          ConfigProperty<T> removeDescription()

      Removes the `description` element
      Returns:
        the current instance of `ConfigProperty`

    - #### configPropertyName

          ConfigProperty<T> configPropertyName(java.lang.String configPropertyName)

      Sets the `config-property-name` element
      Parameters:
        `configPropertyName` - the value for the element `config-property-name`
      Returns:
        the current instance of `ConfigProperty`

    - #### getConfigPropertyName

          java.lang.String getConfigPropertyName()

      Returns the `config-property-name` element
      Returns:
        the node defined for the element `config-property-name`

    - #### removeConfigPropertyName

          ConfigProperty<T> removeConfigPropertyName()

      Removes the `config-property-name` element
      Returns:
        the current instance of `ConfigProperty`

    - #### configPropertyType

          ConfigProperty<T> configPropertyType(java.lang.String configPropertyType)

      Sets the `config-property-type` element
      Parameters:
        `configPropertyType` - the value for the element `config-property-type`
      Returns:
        the current instance of `ConfigProperty`

    - #### getConfigPropertyType

          java.lang.String getConfigPropertyType()

      Returns the `config-property-type` element
      Returns:
        the node defined for the element `config-property-type`

    - #### removeConfigPropertyType

          ConfigProperty<T> removeConfigPropertyType()

      Removes the `config-property-type` element
      Returns:
        the current instance of `ConfigProperty`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)